<?php
/**************************************************
  CPG Movie Download Link Plugin for Coppermine Photo Gallery
  *************************************************
  Copyright (c) 2006 Thomas Lange <stramm@gmx.net>
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  *************************************************
  Coppermine version: 1.4.10
  CPG Movie Download Link Plugin version: 1.0
  $Revision: 1.0 $
  $Author: stramm $
***************************************************/


if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

$thisplugin->add_filter('file_data','download_link_add_data');


function download_link_add_data($pic_data){
	global $CONFIG;


	$fullsize_url = get_pic_url($pic_data);
	
	$mime_content = cpg_get_type($pic_data['filename']);
	
	if ($mime_content['content']=='movie') {
		$download_link_data = '<a href="' . $CONFIG["ecards_more_pic_target"] . (substr($CONFIG["ecards_more_pic_target"], -1) == '/' ? '' : '/') . $fullsize_url.'">Download movie</a>';
	}

	$pic_data['html'] = $pic_data['html'].$download_link_data; 

	return $pic_data; 
}
?>